<?php
#############################################################################
#                              Site@School
# Site@School is a website management system designed for schools.
#
# mysql_DE.php 
#$Id: mysql_DE.php,v 1.2 2006/10/15 19:08:53 fstuurman Exp $
############################################################################
//general
mysql_query("INSERT INTO $table_configuration VALUES ('language', 'DE', '')");

//agenda
mysql_query("INSERT INTO $table_configuration (config_key, config_value, description) VALUES( 'agenda_time45', 'Rem.', '' )");

//ads
$result = mysql_query("select id from $table_modules WHERE location = 'sn_ads'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Kleinanzeigen', 'sn_ads', 'view_ads.php,Kleinanzeigen betrachten', 'admin.php', '$modtable_ads')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('ads_disclaimer', 'Hier erscheint der Disclaimer Text', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('ads_welcome_text', 'Hier erscheint der Begrüßungstext, s. Modul Konfiguration', '')");

//allbum
mysql_query("INSERT INTO $table_configuration VALUES ('allbum_welcome','ALLbum Hauptseite','Begrüßungstext Allbum')");

$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_allbum'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'ALLbum', 'sn_allbum', 'sas_index.php,Alben anzeigen,sas_index2.php,Alben pro Seite anzeigen,slideshow.php,Album slideshow', 'admin.php', '$table_module_allbum')");
}

//chat
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_chat'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES ('', 'Chat', 'sn_chat', 'chat.php, Chat page', 'admin.php', '')");
}

//calender
$result = mysql_query("select id from $table_modules WHERE location = 'sn_calendar'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Calendar', 'sn_calendar', 'calendar.php,Show Calendar', 'admin.php', '$calendar_table,$calendars_table')");
}

//up download
$result = mysql_query("select id from $table_modules WHERE location = 'sn_downloads'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Up/Download', 'sn_downloads', 'download_cat.php,Download Seite (Kategorien),download_pag.php,Download Seite (pro Seite),upload.php,Upload ', 'admin.php', '$downloadstable,$downloadcategorytable ')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('download_welcome_text', 'Download Modul Begrüßungstext, s. Modulkonfiguration', '')");
mysql_query("INSERT INTO $table_configuration VALUES('download_welcome_text_prot' , 'Begrüßungstext interner Bereich' , '')") ;

//forms
$result = mysql_query("select id from $table_modules WHERE location = 'sn_form'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Formsbuilder', 'sn_form', 'show_form.php,Showform', 'admin.php', '$forms_table,$forms_config_table')");
}

//forum
$result = mysql_query("select id from $table_modules WHERE location = 'sn_forum'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Forum', 'sn_forum', 'index.php,Forum', 'admin.php', '$table_users,$table_topics,$table_replies,$table_cat')");
}
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Öffentliches Forum', '3', '')");
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Lehrer Forum', '2', '')");
mysql_query("INSERT INTO $table_cat VALUES (NULL, ' Schüler Forum' , '1', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('forum_welcome_text', 'Forum welcome text, see forum configuration', '')");

//guestbook
$result = mysql_query("select id from $table_modules WHERE location = 'sn_gbook'");
$RecordCount = mysql_num_rows($result);

if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Guestbook', 'sn_gbook', 'gbook.php,Gästebuch anzeigen', 'admin.php', '$modtable_guestbook')");
}

mysql_query("INSERT INTO $table_configuration VALUES ('gbook_welcome_text', 'Begrüßungstext, s. Modul  Konfiguration<br>', '')");

//message
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_message'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Messages', 'sn_message', 'message.php,Nachrichten hinzufügen,view_message.php,Nachrichten anzeigen', 'admin.php', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_add_text', '<font size=6><b>Nachricht hinzufügen</font></b><hr>', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_view_text', '<font size=6><b>Nachrichten anzeigen</font></b><hr> ', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('message_view_text_prot', '<font size=6><b>Nachrichten anzeigen Protected Area</font></b><hr> ', '')");
}

//links
mysql_query("INSERT INTO $table_configuration VALUES ('links_welcome_text', 'Begrüßungstext Linkliste', '')");

//mail module
$result = mysql_query("select id from $table_modules WHERE location = 'sn_mailpage'");
$RecordCount = mysql_num_rows($result);
  if($RecordCount == 0) {
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Mail page', 'sn_mailpage', 'mailpage.php,E-Mail Seite', 'admin.php', '')");}
mysql_query("INSERT INTO $table_configuration VALUES ('email_text', 'Begrüßungstext, s. Modul  Konfiguration.', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('email_thankyou_text', '<br><br><p align=\"center\"><font size=\"2\"><b>Ihre Nachricht wurde verschickt<br><br>vielen Dank.</b></font></p>', '')");

//news
$result = mysql_query("select id from $table_modules WHERE location = 'sn_news'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'News', 'sn_news', 'frontpage.php,News Seite,frontpage_cat.php,Kategorie pro Seite,archive.php,News Archiv', 'admin.php', '$modtable_news_articles,$modtable_news_categories')");
}

mysql_query("INSERT INTO $table_configuration VALUES ('news_welcome_text', 'Begrüßungstext, s. Modul  Konfiguration', '')");
mysql_query("INSERT INTO $table_configuration VALUES ('news_archive_welcome_text', 'Begrüßungstext, s. Modul  Konfiguration', '')");

//newsletter
$result = mysql_query("SELECT id FROM $table_modules WHERE location = 'sn_newsletter'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Newsletter', 'sn_newsletter', 'newsletter.php, Newsletter hinzufügen', 'admin.php', '$table_newsletter_content,$table_newsletters,$table_email_adresses')");
}

//pupilpages
$result = mysql_query("select id from $table_modules WHERE location = 'sn_studentpages'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Klassenseiten', 'sn_studentpages', 'user_login.php,Lehrer/Schüler Login,viewpage.php,Schülerseiten betrachten,viewpage2.php,Schülerseiten pro Klasse betrachten,viewproject.php,Schülerseiten pro Projekt betrachten,teacher_page.php,Lehrerseiten', 'admin.php', '$table_studentpages')");
}

//search
$result = mysql_query("select id from $table_modules WHERE location = 'dgs_search'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Suchen', 'dgs_search', 'search.php,Suchseite', 'admin.php', '')");
}


//sitemap
$result = mysql_query("select id from $table_modules WHERE location = 'sn_sitemap'");
$RecordCount = mysql_num_rows($result);
if($RecordCount == 0)
{
mysql_query("INSERT INTO $table_modules VALUES (NULL, 'Sitemap', 'sn_sitemap', 'view_sitemap.php,Sitemap,view_sitemap_date.php,Sitemap with date', 'admin.php', '')");
}
mysql_query("INSERT INTO $table_configuration VALUES ('sitemap_welcome_text', 'Sitemap:', '')");



include("template_EN.php") ;

?>